Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface Column

All Superinterfaces:
  M4Data, M4Object

All Known Implementing Classes:
  Column

    public interface Column

extends M4Data

Version:
  $Id: Column.java,v 1.9 2006/09/27 14:59:58 euler Exp $
Author:
  Timm Euler, Daniel Hakenjos

Method Summary
`void` | `clearStatistics()` If data changes in the database, e.g. a DB Concept is edited, then this method allows to delete the deprecated statistics objects without running a garbage collection.
`Column` | `copyColToCS(Columnset cs)` Makes a copy of this `Column` that belongs to the given `Columnset`.
`java.lang.String` | `getAverageValue()`
`java.util.Collection` | `getBasicColStats()` Active getter for all basic statistics tuples pointing to this Columm.
`long` | `getColumnDataType()`
`java.lang.String` | `getColumnDataTypeName()`
`Columnset` | `getColumnset()`
`java.util.Collection` | `getDistributionStatistics()` Active getter for all distribution statistics tuples pointing to this Columm.
`java.util.Collection` | `getForeignKeyMembers()` Active getter for the `KeyMember`s referencing this object as their foreign key.
`java.lang.String` | `getMaxValue()`
`java.lang.String` | `getMedianValue()`
`java.lang.String` | `getMinValue()`
`java.lang.String` | `getModalValue()`
`int` | `getNumberOfMissingValues()`
`int` | `getNumberOfUniqueValues()`
`java.util.Collection` | `getPrimaryKeyMembers()` Active getter for the `KeyMember`s referencing this object as their primary key.
`java.lang.String` | `getSQLDefinition()`
`java.lang.String` | `getSQLPlusLocation()`
`java.lang.String` | `getStandardDeviation()`
`BaseAttribute` | `getTheBaseAttribute()` Get this column's BaseAtttribute.
`java.lang.String` | `getVariance()`
`java.lang.String` | `readOrComputeAverage()` Reads, or computes the average value of this column and returns it as a string.
`java.lang.String` | `readOrComputeMaximum()` Reads, or computes the maximum value of this column and returns it as a string.
`java.lang.String` | `readOrComputeMinimum()` Reads, or computes the minimum value of this column and returns it as a string.
`int` | `readOrComputeNumMissingValues()` Reads, or computes the number of missing values for this column and returns it as an int.
`java.lang.String` | `readOrComputeStdDev()` Reads, or computes the standard deviation of this column and returns the result as a string.
`int` | `readOrComputeUniqueValues()` Reads, or computes the number of unique values for this column and returns it as an int.
`void` | `removeBaseAttribute()` Disassociates the BaseAttrbute from this colum.
`void` | `setBaseAttribute(BaseAttribute ba)` Set this column's BaseAttribute.
`void` | `setColumnDataType(long type)` Set the column data type for this column.
`void` | `setColumnDataTypeName(java.lang.String dtname)` Set the name of this column's column data type.
`void` | `setColumnset(Columnset cs)` Sets the ColumnSet for this column.
`void` | `setDistributionStatistics(java.util.Collection dStats)` Sets the distribution statistics collection at once to the specified collection.
`void` | `setMaxValue(double newMax)`
`void` | `setMinValue(double newMin)`
`void` | `setNumberOfMissingValues(int newNumber)`
`void` | `setSQLDefinition(java.lang.String sqlDefinition)` Set the sql definition of this column.
`void` | `storeLocal()` This method stores the pseudo foreign key reference to this objects's `BaseAttribute`, which is still realized by a cross-table (BA_COLUMN_T).
`void` | `updateStatistics()` Calculates statistics for the specified column and stores it in the M4 tables COLSTATIST1/2.

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName, setNotNew`

Method Detail

### copyColToCS

    Column copyColToCS(Columnset cs)
                       throws M4Exception

  Makes a copy of this `Column` that belongs to the given `Columnset`.

  Parameters:
    `cs` - A Columnset
  Returns:
    A copy of this Column that points to the given Columnset
  Throws:
    `M4Exception`

### setBaseAttribute

    void setBaseAttribute(BaseAttribute ba)
                          throws M4Exception

  Set this column's BaseAttribute.

  Parameters:
    `ba` - The new BaseAttribute.
  Throws:
    `M4Exception`

### getTheBaseAttribute

    BaseAttribute getTheBaseAttribute()
                                      throws M4Exception

  Get this column's BaseAtttribute.

  Returns:
    this column's BaseAttribute.
  Throws:
    `M4Exception`

### setSQLDefinition

    void setSQLDefinition(java.lang.String sqlDefinition)

  Set the sql definition of this column.

  Parameters:
    `sqlDefinition` - the new definition

### getSQLDefinition

    java.lang.String getSQLDefinition()

  Returns:
    this column's sql definition as a String

### getSQLPlusLocation

    java.lang.String getSQLPlusLocation()

  Returns:
    this column's sql definition together with schema name and table name (`schema.table.sql`)

### setColumnDataType

    void setColumnDataType(long type)

  Set the column data type for this column.

  Parameters:
    `type` - the new column data type

### getColumnDataType

    long getColumnDataType()

  Returns:
    this column's column data type

### setColumnDataTypeName

    void setColumnDataTypeName(java.lang.String dtname)
                               throws DbConnectionClosed,
                                      M4Exception

  Set the name of this column's column data type.

  Parameters:
    `dtname` - the new name
  Throws:
    `DbConnectionClosed`
    `M4Exception`

### getColumnDataTypeName

    java.lang.String getColumnDataTypeName()
                                           throws M4Exception

  Returns:
    the name of this column's column data type.
  Throws:
    `M4Exception`

### getPrimaryKeyMembers

    java.util.Collection getPrimaryKeyMembers()
                                              throws M4Exception

  Active getter for the `KeyMember`s referencing this object as their primary key.

  Returns:
    a `Collection` of `KeyMember` objects
  Throws:
    `M4Exception`

### getForeignKeyMembers

    java.util.Collection getForeignKeyMembers()
                                              throws M4Exception

  Active getter for the `KeyMember`s referencing this object as their foreign key.

  Returns:
    a `Collection` of `KeyMember` objects
  Throws:
    `M4Exception`

### getBasicColStats

    java.util.Collection getBasicColStats()
                                          throws M4Exception

  Active getter for all basic statistics tuples pointing to this Columm.

  Returns:
    `Collection` of `ColumnStatistics1` objects
  Throws:
    `M4Exception`

### getDistributionStatistics

    java.util.Collection getDistributionStatistics()
                                                   throws M4Exception

  Active getter for all distribution statistics tuples pointing to this Columm.

  Returns:
    `Collection` of `ColumnStatistics2` objects
  Throws:
    `M4Exception`

### setDistributionStatistics

    void setDistributionStatistics(java.util.Collection dStats)
                                   throws M4Exception

  Sets the distribution statistics collection at once to the specified collection.

  Parameters:
    `dStats` - a `Collection` of `ColumnStatistics2` objects.
  Throws:
    `M4Exception`

### setMaxValue

    void setMaxValue(double newMax)
                     throws M4Exception

  Throws:
    `M4Exception`

### setMinValue

    void setMinValue(double newMin)
                     throws M4Exception

  Throws:
    `M4Exception`

### getNumberOfUniqueValues

    int getNumberOfUniqueValues()
                                throws M4Exception

  Returns:
    If known, the number of unique values of this column.
  Throws:
    `M4Exception`

### getNumberOfMissingValues

    int getNumberOfMissingValues()
                                 throws M4Exception

  Returns:
    If known, the number of missing values of this column.
  Throws:
    `M4Exception`

### setNumberOfMissingValues

    void setNumberOfMissingValues(int newNumber)
                                  throws M4Exception

  Throws:
    `M4Exception`

### getMinValue

    java.lang.String getMinValue()
                                 throws M4Exception

  Returns:
    If known, the smallest value in this column.
  Throws:
    `M4Exception`

### getMaxValue

    java.lang.String getMaxValue()
                                 throws M4Exception

  Returns:
    If known, the biggest value in this column.
  Throws:
    `M4Exception`

### getMedianValue

    java.lang.String getMedianValue()
                                    throws M4Exception

  Returns:
    If known, the median value in this column.
  Throws:
    `M4Exception`

### getModalValue

    java.lang.String getModalValue()
                                   throws M4Exception

  Returns:
    If known, the modal value in this column.
  Throws:
    `M4Exception`

### getAverageValue

    java.lang.String getAverageValue()
                                     throws M4Exception

  Returns:
    If known, the average of the values in this column.
  Throws:
    `M4Exception`

### getStandardDeviation

    java.lang.String getStandardDeviation()
                                          throws M4Exception

  Returns:
    If known, the standard deviation of the values in this column.
  Throws:
    `M4Exception`

### getVariance

    java.lang.String getVariance()
                                 throws M4Exception

  Returns:
    If known, the variance of the values in this column.
  Throws:
    `M4Exception`

### getColumnset

    Columnset getColumnset()

  Returns:
    this column's ColumnSet.

### setColumnset

    void setColumnset(Columnset cs)
                      throws M4Exception

  Sets the ColumnSet for this column.

  Parameters:
    `cs` - The new ColumnSet
  Throws:
    `M4Exception`

### readOrComputeMinimum

    java.lang.String readOrComputeMinimum()
                                          throws M4Exception

  Reads, or computes the minimum value of this column and returns it as a string.

  Returns:
    the minimum value in the column as a String
  Throws:
    `M4Exception`

### readOrComputeAverage

    java.lang.String readOrComputeAverage()
                                          throws M4Exception

  Reads, or computes the average value of this column and returns it as a string.

  Returns:
    the average value in the column as a String
  Throws:
    `M4Exception`

### readOrComputeStdDev

    java.lang.String readOrComputeStdDev()
                                         throws M4Exception

  Reads, or computes the standard deviation of this column and returns the result as a string.

  Returns:
    the average value in the column as a String
  Throws:
    `M4Exception`

### readOrComputeMaximum

    java.lang.String readOrComputeMaximum()
                                          throws M4Exception

  Reads, or computes the maximum value of this column and returns it as a string.

  Returns:
    the maximum value in the column as a String
  Throws:
    `M4Exception`

### readOrComputeNumMissingValues

    int readOrComputeNumMissingValues()
                                      throws M4Exception

  Reads, or computes the number of missing values for this column and returns it as an int.

  Returns:
    the maximum value in the column as a String
  Throws:
    `M4Exception`

### readOrComputeUniqueValues

    int readOrComputeUniqueValues()
                                  throws M4Exception

  Reads, or computes the number of unique values for this column and returns it as an int.

  Returns:
    the maximum value in the column as a String
  Throws:
    `M4Exception`

### updateStatistics

    void updateStatistics()
                          throws M4Exception

  Calculates statistics for the specified column and stores it in the M4 tables COLSTATIST1/2.

  Throws:
    `M4Exception`

### clearStatistics

    void clearStatistics()
                         throws M4Exception

  If data changes in the database, e.g. a DB Concept is edited, then this method allows to delete the deprecated statistics objects without running a garbage collection.

  Throws:
    `M4Exception`

### storeLocal

    void storeLocal()
                    throws M4Exception

  This method stores the pseudo foreign key reference to this objects's `BaseAttribute`, which is still realized by a cross-table (BA_COLUMN_T).

  Throws:
    `M4Exception`

### removeBaseAttribute

    void removeBaseAttribute()
                             throws M4Exception

  Disassociates the BaseAttrbute from this colum. Does not delete the BA involved.

  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005